/* This header file became necessary when these lines were added to
 * KABOOM1.C; the sample session in the manual assumes that certain
 * lines are in a specific location in the file (line #196, in
 * particular, must be "i = nRandom(GRID_X);")
 */

#ifdef __WATCOMC__
#define _getch getch
#define _cprintf cprintf
#endif

/* Function prototypes from KABOOM2.C */
void Pause(void);
void GetXY_(int *pX, int *pY);
void GotoXY_(int x, int y);
int nRandom(int nMax);
char _far *build_farptr(int sel, int off);
void DisplayChar(int x, int y, char cChar, int nColor);
void Initialize(void);

